﻿using DataSharing.SendTask;
using SqlSugar;
using System.ComponentModel;

namespace DataSharing.Province.SendTask.SubmitCaseInfo
{
    /// <summary>
    /// 服务工单受理推送任务数据
    /// </summary>
    [Description("服务工单受理推送任务数据")]
    [SugarIndex("index_dssendtasksubmitcaseinfo_provinceno", nameof(DsSendTaskSubmitCaseInfo.ProvinceNo), OrderByType.Desc)]
    [SugarIndex("index_dssendtasksubmitcaseinfo_issuccess", nameof(DsSendTaskSubmitCaseInfo.IsSuccess), OrderByType.Desc)]
    public class DsSendTaskSubmitCaseInfo : BaseSendTask
    {
        /// <summary>
        /// 组装参数
        /// </summary>
        [SugarColumn(ColumnDataType = "json", IsJson = true, IsNullable = true, ColumnDescription = "组装参数")]
        public Share.Dtos.Province.HuiJu.SubmitCaseInfo RequestData { get; set; }

        /// <summary>
        /// 待推送数据
        /// </summary>
        [Navigate(NavigateType.OneToOne, nameof(Id))]
        public DsWaitSendTaskSubmitCaseInfo WaitSendTaskSubmitCaseInfo { get; set; }
    }
}
